Saltar al contenido principal
GET
/
campaigns
/
{id}
cURL
curl --request GET \
  --url https://api.altur.io/api/v1.0/campaigns/{id} \
  --header 'Authorization: <api-key>'
{
  "success": true,
  "campaign": {
    "id": 123,
    "name": "<string>",
    "integration": {
      "id": "<string>"
    },
    "agent": {
      "id": "<string>",
      "name": "<string>"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "scheduling": {
      "mon": {
        "startTime": "<string>",
        "stopTime": "<string>",
        "active": true
      },
      "tue": {
        "startTime": "<string>",
        "stopTime": "<string>",
        "active": true
      },
      "wed": {
        "startTime": "<string>",
        "stopTime": "<string>",
        "active": true
      },
      "thu": {
        "startTime": "<string>",
        "stopTime": "<string>",
        "active": true
      },
      "fri": {
        "startTime": "<string>",
        "stopTime": "<string>",
        "active": true
      },
      "sat": {
        "startTime": "<string>",
        "stopTime": "<string>",
        "active": true
      },
      "sun": {
        "startTime": "<string>",
        "stopTime": "<string>",
        "active": true
      }
    },
    "cycles": {
      "enabled": true,
      "max_iterations": 7,
      "cooldown_minutes": 720,
      "filter_statuses": [
        "<string>"
      ],
      "filter_tags": [
        "<string>"
      ],
      "schedule": {
        "mon": {
          "startTime": "<string>",
          "stopTime": "<string>",
          "active": true
        },
        "tue": {
          "startTime": "<string>",
          "stopTime": "<string>",
          "active": true
        },
        "wed": {
          "startTime": "<string>",
          "stopTime": "<string>",
          "active": true
        },
        "thu": {
          "startTime": "<string>",
          "stopTime": "<string>",
          "active": true
        },
        "fri": {
          "startTime": "<string>",
          "stopTime": "<string>",
          "active": true
        },
        "sat": {
          "startTime": "<string>",
          "stopTime": "<string>",
          "active": true
        },
        "sun": {
          "startTime": "<string>",
          "stopTime": "<string>",
          "active": true
        }
      },
      "schedule_start_date": "2023-12-25",
      "schedule_end_date": "2023-12-25"
    },
    "analytics": {}
  }
}
Límite de Tasa: 12 solicitudes por segundo
La respuesta incluye un agent, integration, configuración de cycles y, cuando esté disponible, un snapshot de analytics. La forma de analytics depende del integration.type de la campaña:
  • phone_call: conteos y tasas de llamadas y contactos (ej. calls, contactsAnswered, contactsConvertedRate).
  • whatsapp: conteos y tasas del ciclo de vida del mensaje (ej. sent, delivered, read, convertedRate).

Ejemplos

curl "https://api.altur.io/api/v1.0/campaigns/1234" \
  -H "Authorization: api-key YOUR_API_SECRET_KEY"

Autorizaciones

Authorization
string
header
requerido

Add api-key YOUR_API_SECRET_KEY as the value of the Authorization header.

Parámetros de ruta

id
integer
requerido

The identifier of the Campaign

Respuesta

Campaign detail response

success
boolean
campaign
object

Single Campaign detail with nested agent, integration and cycles config. The analytics field is included only when a snapshot is available for the campaign.